Debian Bug report logs - #674515
/bin/htpasswd exists in apache2-utils and mini-httpd

version graph

Package: mini-httpd; Maintainer for mini-httpd is Marvin Stark <marv@der-marv.de>; Source for mini-httpd is src:mini-httpd.

Reported by: Michael Stummvoll <michael@stummi.org>

Date: Fri, 25 May 2012 07:33:04 UTC

Severity: serious

Tags: patch, sid, wheezy

Fixed in version mini-httpd/1.19-9.3

Done: Bernd Zeimetz <bzed@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Someone else <owner@bugs.debian.org>:
Bug#674515; Package mini-httpd,apache2-utils. Full text and rfc822 format available.

Acknowledgement sent to Michael Stummvoll <michael@stummi.org>:
New Bug report received and forwarded. Copy sent to Someone <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Stummvoll <michael@stummi.org>
To: submit@bugs.debian.org
Subject: /bin/htpasswd exists in apache2-utils ans mini-httpd
Date: Fri, 25 May 2012 09:22:18 +0200
Package: mini-httpd,apache2-utils
Severity: normal

Dear Maintainers,

two different binaries with the same name /bin/htpasswd are provided by
apache2 and mini-httpd.
If you install mini-httpd after apache2 the htpasswd from mini-httpd
will override the file from apache2.
The file from apache2 is downward-compatible to the from mini-httpd.
This means it provides all the options like mini-httpd, but mini-httpd
does not provide all options from apache2. So it doesn't make any sense
the the htpasswd from mini-httpd overrides that from apache2.
I think thats a bug. It could be resolved by let the packages conflict
or let mini-httpd provide something like mini-htpasswd (which could get
linked to htpasswd as long as apache2 does not exists)

kind regards,
Michael Stummvoll


Information forwarded to debian-bugs-dist@lists.debian.org, Marvin Stark <marv@der-marv.de>, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#674515; Package mini-httpd,apache2-utils. (Sat, 26 May 2012 09:33:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <arno@debian.org>:
Extra info received and forwarded to list. Copy sent to Marvin Stark <marv@der-marv.de>, Debian Apache Maintainers <debian-apache@lists.debian.org>. (Sat, 26 May 2012 09:33:19 GMT) Full text and rfc822 format available.

Message #10 received at 674515@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: control@bugs.debian.org, 674515@bugs.debian.org
Subject: Re: /bin/htpasswd exists in apache2-utils and mini-httpd
Date: Sat, 26 May 2012 11:31:42 +0200
[Message part 1 (text/plain, inline)]
severity 674515 serious
reassign 674515 mini-httpd
thanks

Hi,

I'm afraid, but on behalf of the Apache maintainers I have to say: This
is not our business. We are shipping this binary since a very long time
and we can't just make sure every other package introduced to Debian
later on does not collide with our binaries.

By policy, the mini-httpd maintainers need to declare a Conflicts
relation against our package as specified in policy § 7.4 if they want
to continue to provide this binary in future. An alternative would be to
rename the provided binary.


-- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D

[signature.asc (application/pgp-signature, attachment)]

Severity set to 'serious' from 'normal' Request was from Arno Töll <arno@debian.org> to control@bugs.debian.org. (Sat, 26 May 2012 09:33:22 GMT) Full text and rfc822 format available.

Bug reassigned from package 'mini-httpd,apache2-utils' to 'mini-httpd'. Request was from Arno Töll <arno@debian.org> to control@bugs.debian.org. (Sat, 26 May 2012 09:33:23 GMT) Full text and rfc822 format available.

Changed Bug title to '/bin/htpasswd exists in apache2-utils and mini-httpd' from '/bin/htpasswd exists in apache2-utils ans mini-httpd' Request was from Michael Stummvoll <michael@stummi.org> to control@bugs.debian.org. (Sun, 27 May 2012 09:12:14 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Gerfried Fuchs <rhonda@debian.org> to control@bugs.debian.org. (Sat, 16 Jun 2012 09:33:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marvin Stark <marv@der-marv.de>:
Bug#674515; Package mini-httpd. (Sun, 17 Jun 2012 15:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bzed@bzed.de>:
Extra info received and forwarded to list. Copy sent to Marvin Stark <marv@der-marv.de>. (Sun, 17 Jun 2012 15:12:06 GMT) Full text and rfc822 format available.

Message #23 received at 674515@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bzed@bzed.de>
To: 674515@bugs.debian.org
Subject: mini-httpd: diff for NMU version 1.19-9.3
Date: Sun, 17 Jun 2012 17:09:31 +0200
[Message part 1 (text/plain, inline)]
tags 674515 + patch
tags 674515 + pending
thanks

Dear maintainer,

I've prepared an NMU for mini-httpd (versioned as 1.19-9.3) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprint: ECA1 E3F2 8E11 2432 D485  DD95 EB36 171A 6FF9 435F
[mini-httpd-1.19-9.3-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Bernd Zeimetz <bzed@bzed.de> to control@bugs.debian.org. (Sun, 17 Jun 2012 15:12:15 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Bernd Zeimetz <bzed@bzed.de> to control@bugs.debian.org. (Sun, 17 Jun 2012 15:12:15 GMT) Full text and rfc822 format available.

Reply sent to Bernd Zeimetz <bzed@debian.org>:
You have taken responsibility. (Tue, 19 Jun 2012 15:36:07 GMT) Full text and rfc822 format available.

Notification sent to Michael Stummvoll <michael@stummi.org>:
Bug acknowledged by developer. (Tue, 19 Jun 2012 15:36:08 GMT) Full text and rfc822 format available.

Message #32 received at 674515-close@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bzed@debian.org>
To: 674515-close@bugs.debian.org
Subject: Bug#674515: fixed in mini-httpd 1.19-9.3
Date: Tue, 19 Jun 2012 15:33:37 +0000
Source: mini-httpd
Source-Version: 1.19-9.3

We believe that the bug you reported is fixed in the latest version of
mini-httpd, which is due to be installed in the Debian FTP archive:

mini-httpd_1.19-9.3.diff.gz
  to main/m/mini-httpd/mini-httpd_1.19-9.3.diff.gz
mini-httpd_1.19-9.3.dsc
  to main/m/mini-httpd/mini-httpd_1.19-9.3.dsc
mini-httpd_1.19-9.3_amd64.deb
  to main/m/mini-httpd/mini-httpd_1.19-9.3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674515@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bernd Zeimetz <bzed@debian.org> (supplier of updated mini-httpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 16 Jun 2012 01:31:28 +0200
Source: mini-httpd
Binary: mini-httpd
Architecture: source amd64
Version: 1.19-9.3
Distribution: unstable
Urgency: low
Maintainer: Marvin Stark <marv@der-marv.de>
Changed-By: Bernd Zeimetz <bzed@debian.org>
Description: 
 mini-httpd - a small HTTP server
Closes: 674515
Changes: 
 mini-httpd (1.19-9.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Do not install htpasswd, recommend apache2-utils instead.
     (Closes: #674515).
   * Add missing dependencies on $remote_fs to fix a lintian error.
Checksums-Sha1: 
 a113fc8beb4a39f1edfa906d76852d6011d00430 1716 mini-httpd_1.19-9.3.dsc
 501001d24c5f3183feab0b54794084c5d61dd66c 7993 mini-httpd_1.19-9.3.diff.gz
 523a720a36e366b6b36fd710fcd212920af991e5 38018 mini-httpd_1.19-9.3_amd64.deb
Checksums-Sha256: 
 6d8bed834a6e46ef80677f5e094175fd55565e261421599884b04235e5472bc8 1716 mini-httpd_1.19-9.3.dsc
 5e6e7f98e1d15ea513aad01d5324d97bf4a298cd164f1b6939b18781f43d7eb0 7993 mini-httpd_1.19-9.3.diff.gz
 d5834f7cca0f00ff2703a2f57fe3414f643a4c22bcd393a7507d03d65e32f6d3 38018 mini-httpd_1.19-9.3_amd64.deb
Files: 
 c6280181240457b3738ba7a6d893fbc9 1716 web optional mini-httpd_1.19-9.3.dsc
 36afdcd7edfab68b919c06a4b351479c 7993 web optional mini-httpd_1.19-9.3.diff.gz
 246e955912fe92f116336709f8d5c4b2 38018 web optional mini-httpd_1.19-9.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP3fKjAAoJEOs2Fxpv+UNfuJAP/R7sPqE/F6Eq+ffT3ucr5HFB
FLkkcJgiudgzmz2Sx34hM3kD0FwIePzpIe+EV5ollBqPIXOmKlcizAbs7XWs+dzp
MRDG6vFOsZNvmHE+il/k1He9dAa466h2gl2/fcP1dlkhrI+PFQIAJScuQBRJy29V
eQ2XlJWYdDBOcJ/4jWhbnFPY5snmP2oN0vZtFik8yJUjur/emyjzv8yajUVqrbFa
OKvWBD0JohcCVHLrOq8tuMhrK9eeQnT/2v5rAVbX6jatRIn7M2KmuKFvtam7ebgj
nTgWoJ4FvH6pZsBX0hNM6wFhD4IlnKkM4/VeKISq8zxQO3lmsPY8+raAS0TDzGzM
P7soB5cbITY8qSgA6C+r5zbOmvk3Mg4vs6P7ov7z5mmu4VKqbU7//VFgAciHD+EU
TeFDwauhu/ETTEcL6EqY22el1J7sayIOm5xr7dtVxMPwU3Ub8m29h4gKoAZQdUpm
VcM4VKHnIkx8/YG2AR14azpmRuNvQ/VKUeYNHkXDP8hj3FvPwXVe0v2alXBZ1Wy4
tnjQe1fnXFAeX7vWe4nqrcCSjPAz/Lbhy0CsuILuUOoN0AbJ6zgJZZjbzvoTBKG6
ipOVyUyCmgwUx+qMLdMZyw6LG7/PL/M5ccNUcAbekNL3uMYg5SyfDgjjKnmQWyhL
edXE2cDezeCFKoYreQ3C
=4TCL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Jul 2012 07:27:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:33:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.